package com.bocloud.ims.entity.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * 监控告警级别
 *
 * @author zhangdi
 * @since Mar 10th,2020
 */
public enum AlarmLevel {
    // 紧急
    URGENT,
    // 重要
    PRIMARY,
    // 次要
    SECONDARY,
    // 提示
    REMIND;

    public static Map<String, AlarmLevel> getValuesMap() {
        Map<String, AlarmLevel> map = new HashMap<>();

        AlarmLevel[] levels = AlarmLevel.values();
        for (AlarmLevel level : levels) {
            map.put(level.name(), level);
        }

        return map;
    }

}
